import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { InputWithIcon } from './input-with-icon';
import { IconEth } from '../../icons/icon-eth/icon-eth';
import '../../../theme/index.scss';

storiesOf('Form', module)
  .addDecorator(withKnobs)
  .add('InputWithIcon', () => (
    <div style={{ width: '500px' }}>
      <InputWithIcon
        icon={<IconEth />}
        value={text('value', '')}
        errorMsg={text('errorMsg', '')}
        isLoading={boolean('isLoading', false)}
      />
    </div>
  ));
