import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean, select } from '@storybook/addon-knobs';
import Alert from 'reactstrap/lib/Alert';

const colors = ['primary', 'secondary', 'success', 'info', 'warning', 'danger', 'link'];
const toggle = () => {};

storiesOf('REACTSTRAP COMPONENTS', module)
  .addDecorator(withKnobs)
  .add('Alert', () => (
    <div style={{
      height: '100vh', display: 'flex', justifyContent: 'center', alignItems: 'center',
      }}
    >
      <Alert
        color={select('color', colors, colors[0])}
        isOpen={boolean('isOpen', true)}
        toggle={toggle}
      >
        {text('children', 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Provident, in?')}
      </Alert>
    </div>
  ));
